petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscObjectComm

Gets the MPI communicator for any PetscObject regardless of the type.

### Synopsis

    #include "petscsys.h"
    MPI_Comm  PetscObjectComm(PetscObject obj)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, SETERRQ(PetscObjectComm((PetscObject)mat,...);

### Output Parameter

comm -the MPI communicator or MPI_COMM_NULL if object is not valid

### Notes

Never use this in the form

          comm = PetscObjectComm((PetscObject)obj);

instead use PetscObjectGetComm()

### See Also

PetscObjectGetComm()

### Level

advanced

### Location

src/sys/objects/gcomm.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex8.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex59.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages